Skip to main content
POST
Core
Related guide: Knowledge bases guide. See the Knowledge bases guide for a walkthrough with examples.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

knowledge_id
string
required

The unique identifier or key of the knowledge base.

Body

application/json

A search request for chunks in a knowledge base

Search request. Sets the knowledge base and query, plus optional retrieval settings.

query
string
required

The query to use to search the knowledge base

Minimum string length: 1
top_k
integer<int32>

The number of results to return. If not provided, will default to the knowledge base configured top_k.

Required range: 1 <= x <= 100
threshold
number<double>

The threshold to apply to the search. If not provided, will default to the knowledge base configured threshold

Required range: 0 <= x <= 1
search_type
enum<string>
default:hybrid_search

The type of search to perform. If not provided, will default to the knowledge base configured retrieval_type

Available options:
vector_search,
keyword_search,
hybrid_search
filter_by
Search operator · object

The metadata filter to apply to the search. Check the Searching a Knowledge Base for more information.

search_options
object

Additional search options

rerank_config
object

Override the rerank configuration for this search. If not provided, will use the knowledge base configured rerank settings.

agentic_rag_config
object

Override the agentic RAG configuration for this search. If not provided, will use the knowledge base configured agentic RAG settings.

retrieval_config
object

Override the stored retrieval configuration for this search. If not provided, the knowledge base configuration is used.

Response

Search knowledge base

matches
object[]
required

Matching chunks. The response codec must emit this field even when empty.